<mgl-map id="map"
  [style]="mapStyle"
  [zoom]= mapConfig.zoom
  [center]= mapConfig.center
  (load)= "onLoadMap($event)"
>
  <!-- control map -->
  <mgl-control
    mglNavigation position="top-right"
  >
  </mgl-control>

  <!-- titik banjir symbol -->
  <!-- <mgl-layer
    id="titikBanjir"
    type= "symbol"

    [source] = sourceFlood
    [layout] = "{
      'icon-image': 'cat',
      'icon-size': 1
    }"
    
  ></mgl-layer> -->


  <!-- Line Jabar -->
  <mgl-layer
  id="citiLine{{ row.properties.kemendagri_kode }}"
  type="line" *ngFor="let row of cities;"
  [source]="{
    'type': 'geojson',
    'data': {
        'type': 'Feature',
        'properties': row.properties,
        'geometry': row.geometry
    }
  }"
  [paint]="{
    'line-color': '#b37700',
    'line-width': 1.2
  }"
  ></mgl-layer>

  <!-- titik banjir -->
  <!-- <mgl-layer
    id="titikBanjir"
    type= "circle"
    [paint] = "{
      'circle-radius': 10,
      'circle-color': 'red',
      'circle-opacity' : 0.5
    }"

    [source] = sourceFlood
    
  ></mgl-layer> -->
  
  
  <!-- titik banjir marker -->
  <!-- <ng-container *ngFor="let row of dataFlood;let i = index">
    <mgl-marker #markerAlert [lngLat]="row.geometry.coordinates">
        <div
            class="marker"
            [ngStyle]="{'background-image': 'url(assets/images/hail.png)','width': '67px','height': '80px','background-repeat': 'no-repeat'}"
        >
        </div>
    </mgl-marker>
  </ng-container> -->

  <!-- Popup Titik Banjir -->
  <!-- <mgl-popup [lngLat]="popupPoint" [closeOnClick] = "true" [closeButton] = "false">
    <table width="100%">
      <tr>
        <th style="padding:3px;">Type</th>
        <td style="padding:3px;">:</td>
        <td style="padding:3px;color:#008C50;">{{ (popupdata) ? popupData.type : '-' }}</td>
      </tr>
      <tr>
        <th style="padding:3px;">Sub Type</th>
        <td style="padding:3px;">:</td>
        <td style="padding:3px;color:#008C50;">{{ popupData.subtype }}</td>
      </tr>
      <tr>
        <th style="padding:3px;">Location</th>
        <td style="padding:3px;">:</td>
        <td style="padding:3px;color:#008C50;">{{ popupData.location }}</td>
      </tr>
      <tr>
        <th style="padding:3px;">Created Time</th>
        <td style="padding:3px;">:</td>
        <td style="padding:3px;color:#008C50;">{{ popupData.created_time }}</td>
      </tr> 
    </table>
  </mgl-popup> -->

</mgl-map>

<!-- basemap opt -->
<div class="basemap-opt">
  <span style="float:right">
    <button class="btn-basemap" (click) = toggleDisplayBasemap()><i class="fas fa-map"></i></button>
  </span>
  <span style="float:right" *ngIf ="!isShowToggleBasemap">
    <select [ngModel]="layerId" (ngModelChange)="changeStyle($event)">
      <option value="basic">basic</option>
      <option value="streets">streets</option>
      <option value="bright">bright</option>
      <option value="light">light</option>
      <option value="dark">dark</option>
      <option value="satellite">satellite</option>
    </select>
  </span>
</div>

<!-- filter -->

<a href="#0" id="btnFilter" class="cd-btn js-cd-panel-trigger" data-panel="main"><i class="fas fa-bars"></i></a>
<div class="cd-panel cd-panel--from-left js-cd-panel-main">

    <header class="cd-panel__header">
    <h1>Filter</h1>
    <a href="#0" class="cd-panel__close js-cd-close">Close</a>
    </header>

    <div class="cd-panel__container">
    <div class="cd-panel__content">
        <!-- <div style="color: #468d51;font-weight: bold;">
          <b>Peta Bencana Banjir Provinsi Jawa Barat</b>
        </div>
        <hr style="border-color: #ffffff;"> -->
        <form>
          <div style="height:auto;margin-top:10px;margin-bottom:20px;">
            <div style="width:47%;float:left;margin-right:10px;margin-bottom:10px;">
              <label>
                  Start Date: <br>
                  <input [owlDateTimeTrigger]="dt" [(ngModel)]="defaultDateSt" name="dateFirst" (dateTimeChange) = "changeDate('start')" style="width:90%;padding: 14px 10px; line-height: 6px;font-size:14px;
                  border: none;border:solid 1px #ccc;border-radius: 4px;" [owlDateTime]="dt"  [attr.disabled]="isLive ? 'disabled' : null">
                  <owl-date-time #dt></owl-date-time>
              </label>
            </div>
            <div style="width:47%;float:left;margin-left:10px; margin-bottom:10px;">
              <label>
                  End Date: <br>
                  <input [owlDateTimeTrigger]="dt2" [(ngModel)]="defaultDateNd" name="dateLast" (dateTimeChange) = "changeDate('end')" style="width:90%;padding: 14px 10px; line-height: 6px;font-size:14px;border: none;border:solid 1px #ccc;border-radius: 4px;" [owlDateTime]="dt2"  [attr.disabled]="isLive ? 'disabled' : null">
                  <owl-date-time #dt2></owl-date-time>
              </label>
            </div>
            <div style="padding-top:0.8em;" id="slider-1">
              <mat-checkbox [checked]="isLive" (change)="toggleLive($event)">
              Live Update
              </mat-checkbox>
            </div> 
            <div style="clear: both;"></div>
            

          </div>

          <input type="button" class="submit" value="Submit" (click)="onSubmit()" >


        </form>
    </div>
    </div>
</div>
<!-- legend -->
<!-- <div class="legend" *ngIf="isShowLegend"> -->
<div class="legend">
  <div>
    <div>
      Weather Hazard
    </div>
    <div style="display: inline-block;width: 100%;">
      <img src="assets/images/hail.png" width="50px" height="50px" style="float:left;margin-right:20px;vertical-align:middle;">
      <span style=" height: 40px;display: table-cell;vertical-align: middle;">
         Hail
      </span>
    </div>
    <div style="display: inline-block;width: 100%;">
      <img src="assets/images/flood.png" width="50px" height="50px" style="float:left;margin-right:20px;vertical-align:middle;">
      <span style=" height: 40px;display: table-cell;vertical-align: middle;">
        Flood
      </span>
    </div>
    <div style="display: inline-block;width: 100%;">
      <img src="assets/images/heavy-rain.png" width="50px" height="50px" style="float:left;margin-right:20px;vertical-align:middle;">
      <span style=" height: 40px;display: table-cell;vertical-align: middle;">
        Heavy Rain
      </span>
    </div>
  </div>

</div> 


